> For the complete documentation index, see [llms.txt](https://docs.newlandsgate.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.newlandsgate.com/api-documentation/banks.md).

# Banks

## GET /banks

> Retrieves bank list

```json
{"openapi":"3.1.1","info":{"title":"Panda Pay API","version":"1.0"},"servers":[{"url":"https://api.paymentgateway24.com"}],"security":[{"ApiKey":[]},{"Signature":[]},{"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"X-API-Key","in":"header","description":"Merchant API key"},"Signature":{"type":"apiKey","name":"X-Signature","in":"header","description":"HMAC-SHA256 signature of timestamp + request body (or timestamp only for GET)"},"Timestamp":{"type":"apiKey","name":"X-Timestamp","in":"header","description":"Current Unix timestamp (UTC)"}},"schemas":{"bank.BanksResponse":{"properties":{"banks":{"items":{"$ref":"#/components/schemas/bank.Response"},"type":"array"}},"type":"object"},"bank.Response":{"properties":{"code":{"type":"string"},"name_en":{"type":"string"},"name_ru":{"type":"string"}},"type":"object"},"models.ErrorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/banks":{"get":{"description":"Retrieves bank list","responses":{"200":{"description":"Bank list record with code and names","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bank.BanksResponse"}}}},"401":{"description":"Returned when API key, signature, or timestamp is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models.ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models.ErrorResponse"}}}}},"tags":["Banks"]}}}}
```
